# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class NetworkSliceDetails(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, gateway: str=None, terminal_id: str=None):  # noqa: E501
        """NetworkSliceDetails - a model defined in Swagger

        :param gateway: The gateway of this NetworkSliceDetails.  # noqa: E501
        :type gateway: str
        :param terminal_id: The terminal_id of this NetworkSliceDetails.  # noqa: E501
        :type terminal_id: str
        """
        self.swagger_types = {
            'gateway': str,
            'terminal_id': str
        }

        self.attribute_map = {
            'gateway': 'gateway',
            'terminal_id': 'terminal_id'
        }
        self._gateway = gateway
        self._terminal_id = terminal_id

    @classmethod
    def from_dict(cls, dikt) -> 'NetworkSliceDetails':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The NetworkSliceDetails of this NetworkSliceDetails.  # noqa: E501
        :rtype: NetworkSliceDetails
        """
        return util.deserialize_model(dikt, cls)

    @property
    def gateway(self) -> str:
        """Gets the gateway of this NetworkSliceDetails.


        :return: The gateway of this NetworkSliceDetails.
        :rtype: str
        """
        return self._gateway

    @gateway.setter
    def gateway(self, gateway: str):
        """Sets the gateway of this NetworkSliceDetails.


        :param gateway: The gateway of this NetworkSliceDetails.
        :type gateway: str
        """
        if gateway is None:
            raise ValueError("Invalid value for `gateway`, must not be `None`")  # noqa: E501

        self._gateway = gateway

    @property
    def terminal_id(self) -> str:
        """Gets the terminal_id of this NetworkSliceDetails.


        :return: The terminal_id of this NetworkSliceDetails.
        :rtype: str
        """
        return self._terminal_id

    @terminal_id.setter
    def terminal_id(self, terminal_id: str):
        """Sets the terminal_id of this NetworkSliceDetails.


        :param terminal_id: The terminal_id of this NetworkSliceDetails.
        :type terminal_id: str
        """

        self._terminal_id = terminal_id
